Bug 13115 - .yo sources incompatible with current yodl version
.yo sources incompatible with current yodl version
Status: RESOLVED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.1.2
All All
: P5 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-01 08:51 UTC by Paul Slootman
Modified: 2017-11-05 20:32 UTC (History)
0 users

See Also:


Attachments
patch for newer yodl (3.13 KB, patch)
2017-11-01 08:51 UTC, Paul Slootman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Slootman 2017-11-01 08:51:48 UTC
Created attachment 13747 [details]
patch for newer yodl

The current yodl version has removed the startdit and enddit macros. These have been replaced with description. I've attached a patch for this.

Additionally,
this is a trivial patch for a missing closing bracket:

--- ./a/rsync.yo        2016-03-29 11:05:24.802895810 +0200
+++ ./b/rsync.yo        2017-11-01 09:38:23.396818546 +0100
@@ -1570,7 +1570,7 @@

 Note some versions of the popt option-parsing library have a bug in them that
 prevents you from using an adjacent arg with an equal in it next to a short
-option letter (e.g. tt(-M--log-file=/tmp/foo).  If this bug affects your
+option letter (e.g. tt(-M--log-file=/tmp/foo)).  If this bug affects your
 version of popt, you can use the version of popt that is included with rsync.

 dit(bf(-C, --cvs-exclude)) This is a useful shorthand for excluding a
Comment 1 Wayne Davison 2017-11-05 20:32:16 UTC
Thanks!  I've applied your changes, but I also had to break-up the really large description() sections into smaller chunks due to my yodl complaining about overflowing something. I also found a superfluous closing paren in the rsyncd.conf man page that I removed.